Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#2644 - dnsmasq-full: Cannot satisfy dependencies #8285

Closed
openwrt-bot opened this issue Dec 1, 2019 · 1 comment
Closed

FS#2644 - dnsmasq-full: Cannot satisfy dependencies #8285

openwrt-bot opened this issue Dec 1, 2019 · 1 comment
Labels
flyspray release/19.07

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Dec 1, 2019

th0ma7:

Environment:
arch: mips
model: TP-link WDR4300
Openwrt: 19.07.0-rc1

Description:
I probably overlooked but hit the following issue where unable to install dnsmasq-full. Actually downloading only already gives the following warning and wonder if I can/should force-install:

opkg install dnsmasq-full --download-only

Downloading http://downloads.openwrt.org/releases/19.07.0-rc1/packages/mips_24kc/base/dnsmasq-full_2.80-14_mips_24kc.ipk
Collected errors:

  • satisfy_dependencies_for: Cannot satisfy the following dependencies for dnsmasq-full:
  • kernel (= 4.14.151-1-342af9e4f67b3447c53216ab8e3b12a1)
  • opkg_install_cmd: Cannot install package dnsmasq-full.
@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Oct 30, 2020

yousong:

Likely this is expected result and caused by kernel config changes.

"--force-depends" is also available for the "recursive" download task. Userspace binaries are fine, but I would not install kernel modules with dependency issues.

@aparcar aparcar added the release/19.07 label Feb 22, 2022
@981213 981213 closed this as completed Mar 7, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
flyspray release/19.07
Projects
None yet
Development

No branches or pull requests

3 participants